LINUX.ORG.RU

Сообщения kolyanok

 

Linux-квест

Форум — General

Привет.

У моего товарища скоро день рождения, и так как он любит всякого рода встраиваемые системы, писать ПО на чистом ассемблере, херачить на C89 и ковырять всякие там линуксы, я решил сделать ему необычный подарок: квест из штук, которые надо последовательно хакнуть, чтобы получить приз.

Купил за сто рублей на авито старый роутер DIR-330, поставил на него OpenWrt 15.05, запрятал пару пасхалок и думаю теперь, что бы такого ещё сделать на этой машине, чтобы ему было интересно разгадывать? Подумал, сначала, написать на си и собрать кросс-компайлом всяких крякми, чтобы он развлекался, но чтобы завести SDK под такую старую OpenWrt, надо с бубном плясать.

Может, у вас идеи есть?

Спасибо.

И надеюсь, он не наткнётся на этот тред :)

 , , ,

kolyanok ()

Проблемы с зависимостями для MariaDB

Форум — Admin

Добрый вечер. Работаю с машинкой на Debian 9 Unstable.

( читать дальше... )

Сегодня по глупости сделал

( следующее )

, вследствие чего перестал работать сервер MariaDB. Вернуть его к жизни пробовал в попытках восстановить то, что APT удалил, но к успеху это не привело.

sudo apt install mariadb-server выдает следующее:

kolyanok@server:~$ sudo apt-get install mariadb-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mariadb-server : Depends: mariadb-server-10.3 (>= 1:10.3.9+maria~sid) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
kolyanok@server:~$ sudo apt-get install mariadb-server-10.3
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 mariadb-server-10.3 : Depends: libdbi-perl but it is not going to be installed
                       Recommends: libhtml-template-perl but it is not going to be installed
E: Unable to correct problems, you have held broken packages.
kolyanok@server:~$ sudo apt-get install mariadb-server libdbi-perl
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libdbi-perl : Depends: perlapi-5.26.2
E: Unable to correct problems, you have held broken packages.

apt -f install и всякие другие стандартные попытки разрешить ситуацию ни к какому успеху не приводят...

При этом mysql-server нормально ставится и работает, но мне, все же, хотелось бы MariaDB поставить, как оно и было...

Возможно что-то я делаю совсем не так — не знаю, к сожалению, с Debian не так много работал, как хотелось бы.

Заранее благодарен за помощь...

 , , , ,

kolyanok ()

Домашняя VPN и подключение к ней с коробочки на OpenWrt

Форум — Admin

Привет.

Недавно получилось так, что я уехал из дома. Далеко. Учиться. Подключил здесь интернет, поставил старый TP-LINK с OpenWrt в качестве точки вай-фая, и через некоторое время ощутил, что мне не хватает ресурсов моей домашней сети вроде NAS и бекап-сервера, а также осознал, что меня немного подзадолбали блокировки РКН. Соответственно, решил весь трафик с TP-LINK’а пустить через домашнюю сеть.

Решение этой проблемы, казалось, лежит на поверхности — OpenVPN. Но я не понимаю, как лучше это реализовать. Вообще, у меня дома уже есть OpenVPN сервер, поднятый на стандартной прошивке Netgear R7000, и для задач вроде «срочно подключиться с ноута к домашней сети в дороге» его хватало, но для использования на постоянной основе он оказался малопригоден ввиду, во-первых, маленькой скорости, во-вторых, старой версии OpenVPN, а в-третьих, постоянных глюков. Плюс ко всему, у меня не получилось подключиться к нему с моей местной OpenWrt-коробочки по TAP. Пакетики почему-то не ходили. По TUN кое-как получилось, пинги с самой коробочки до компьютеров в домашней сети шли, но маршрутизацию через него я так и не настроил...

Думаю, что можно поднять VPN-сервер на Debian-машине, которая у меня дома круглосуточно включена. Но проблема в том, что я, честно говоря, не особо понимаю, как это сделать. Нужна ли отдельная подсеть, или возможно как-то заставить мой домашний роутер просто выдавать VPN-клиентам, подключенным через сервер, IP-шники из своего DHCP пула? И что еще нужно? Просто порты пробросить? Я пробовал поднять на этой Debian-машине VPN-сервер с дефолтными настройками, к нему можно подключиться извне, но ресурсы домашней сети через него недоступны...

В общем, задача, вроде бы, простая, но я впал в какой-то ступор. Подскажите, пожалуйста, хотя бы, в какую сторону копать...

Спасибо заранее.

 , , , ,

kolyanok ()

Работа macOS с divert-сокетами

Форум — Development

Всем привет. Пытаюсь на макоське 10.13.3 заставить работать код из этого примера https://man.openbsd.org/divert.4 Использую дефолтный компилятор Xcode, также пробовал gcc — компилирует все хорошо, однако есть проблема с настройкой файрвола pf:

MacBook:~ Kolya$ sudo -s
bash-3.2# echo "pass out on em0 inet proto tcp to port 80 divert-packet port 700" > /etc/pf.anchors/mytest
bash-3.2# echo "anchor \"mytest\"" >> /etc/pt.conf
bash-3.2# echo "load anchor \"mytest\" from \"/etc/pf.anchors/mytest\"" >> /etc/pf.conf
bash-3.2# sudo pfctl -f /etc/pf.conf
pfctl: Use of -f option, could result in flushing of rules
present in the main ruleset added by the system at startup.
See /etc/pf.conf for further details.

No ALTQ support in kernel
ALTQ related functions disabled
/etc/pf.anchors/mytest:1: syntax error
pfctl: Syntax error in config file: pf rules not loaded
pfctl: load anchors
bash-3.2# 
Почему не работает? Вроде бы делаю все по мануалам. Задал тот же вопрос на StackOverflow https://stackoverflow.com/questions/48540345/how-to-configure-pf-on-macos-to-... , там не ответили... Заранее спасибо за помощь, потому что мануалов по pf, где вообще описано, как работать с этой штукой, я нашел не так много...

 , , , ,

kolyanok ()

Регулярные выражения в sed

Форум — General

Добрый день. Встала тут такая задача: есть текстовик с относительными ссылками на файлы, расположенные на веб-сервере. Текстовик вида

<item id="blablabla" href="blablabla.html" media-type="blablabla"/>
<item id="blablabla2" href="directory/blablabla.html" media-type="blablabla"/>
надо превратить в формат «по ссылке на строку», чтобы потом его скормить wget-у. Как это сделать в текстовом редакторе через замену по регулярному выражению, либо средствами популярных языков вроде PHP, Java или даже Python — относительно понятно, однако мне бы хотелось оформить все это в виде скрипта. Я составил регулярку, однако совершенно не понял того, как вытащить значение второй по счету (.*)
/\<item id="(.*)" href="(.*)"(.*)>/g
Прошу помочь знающих людей

 , ,

kolyanok ()

Ошибка шины в VLC

Форум — Desktop

Добрый день. Возникла проблема с VLC: плеер не стартует. Выводит сообщение «Ошибка шины» и завершается. Пробовал переустанавливать, ставить разные версии, ночнушки — все одно и тоже. При установке, после обработки триггеров для vlc-nox, выводит сообщение

bus error
WARNING: Regenerating VLC plugin cache failed.
Please run 'vlc-cache-gen /usr/lib/vlc/plugins' manually
Пробовал этой рекомендации последовать, однако запуск vlc-cache-gen вызывает все ту же ошибку шины. Я, к сожалению, не гуру линукса, поэтому не знаю, какую информацию ещё необходимо предоставить...

Железо: Нетбук Packard Bell Dot SE на Intel Atom N450, 2 гига, обычный HDD, интегрированная графика.

Система Linux Mint 18 Cinnamon 64-bit

Cinnamon 3.0.7, Linux 4.4.0-21-generic.

Спасибо за любую помощь.

 ,

kolyanok ()

RSS подписка на новые темы